MACRO
Aluna: Fernanda de S. Martins
Identf.: 20208089
Docênte: Luis Romão 

;macro que permite converter pés e polegadas para metros
;Esta macro foi realizada por Luís Romão como exemplo de macro

(defun cv (pe pl numerador denominador)
(if (or (= numerador 0)(= denominador 0))
(atof (rtos (+ (* pe 0.3048) (* pl 0.0254)) 2 3))
(atof (rtos (+ (* pe 0.3048) (* (+ pl (/ (float numerador) denominador)) 0.0254)) 2 3))
))

;float: converts number to real number

Dimensões obtidas: 
7'-2": (CV 7 2 0 0) = 2.184
1'-8": (CV 0 8 0 0) = 0.508
3'-9": (CV 3 9 0 0) = 1.143
3'-7": (CV 3 7 0 0) = 1.092
15'-9": (CV 15 9 0 0) = 4.801
8": (CV 0 8 0 0) = 0.203
2 1/2": (CV 0 2 1 2) = 0.064
1 5/8": (CV 0 1 5 8) = 0.041
3/16": (CV 0 0 3 16) = 0.005
3 1/2": (CV 0 3 1 2) = 0.089
2": = (CV 0 2 0 0) = 0.051
1": = (CV 0 1 0 0) = 0.025
3": = (CV 0 3 0 0) = 0.076
1 1/4" (CV 0 1 1 4) = 0.032
3/4": (CV 0 0 3 4) = 0.019

Desenho dos degrais:

box
0,0,0
1.346,0.37,0.075
copy
L

0,0,0
0,0.32,0.16
0,0.64,0.32
0,0.96,0.48
0,1.28,0.64
0,1.6,0.8
0,1.92,0.96
0,2.24,1.12
0,2.56,1.28
0,2.88,1.44
0,3.2,1.6
0,3.52,1.76
0,3.84,1.92
0,4.16,2.08
0,4.48,2.24
0,4.8,2.4


A partir da planta inserida no Cad (insert, raster image reference) e os devidos 
escalonamentos obteve-se a planta (polygon) da parte em madeira do corrimão. Após posicioná-la:

Region
select polygon
line (irão compor o corrimão)
join 
select
line 
extrude
select polygon
p
select line (corrimão)

Repetir o mesmo processo com a parte metálica do corrimão e encaixar ambas.

Definição da Laje (Right View)
line
0,0,0
0,6

select
line
offset
2.344
select
line
offset
0.203

Defini-se um paralelepipedo nas estreminades dessas linhas que compoem a base da laje (polygon)
region
select polygon
4

Definição da planta do elemento fechamento e perimetro (polyline)
ucs
y
90
rotate
select
polygon
ucs
ucs (world)
rotate 
select 
polygon
region
select
polygon
extrude
polygon
p
polyline (perimetro traçado)

copy
select
elemento de fechamento
5

subtract
select
laje
select
elemento de fechamento
move
select
elemento de fechemaneto (copia)
-5

o mesmo processo deve ser realizado com os poligonos que
formam os elementos em aço, o gesso e o carpete.

